package com.desfate.chart.ui.old;

import java.util.Date;

public interface OnQuoteAddListener {
    /**
     * 重新请求历史数据
     */
    void reRequestHistoryDatas();

    /**
     * 行情累加成功，刷新界面
     */
    void reFreshChartAfterAdd(boolean useHandle, boolean isNew);

    /**
     * 请求分时数据
     *
     * @param startTime
     */
    void requestTimeData(Date startTime, Date endTime, long goodsId);
}
